.component {
  display: grid;
  grid-template-rows: auto 0;
  height: 100%;

  .trashzone {
    height: 4em;
    max-height: 0;
    width: 100%;
    background: rgba(red, 0.3);
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    i {
      font-size: 1.4em;
    }
  }

  &.dragging {
    grid-template-rows: auto 4em;
    transition: 1s cubic-bezier(0.075, 0.82, 0.165, 1);
    .trashzone {
      max-height: 4em;
      transition: 1s cubic-bezier(0.075, 0.82, 0.165, 1);
    }
  }
}
